package command;

import java.util.Stack;

/**
 * This is a "helper" class that handles the details of invocation of specific commands
 * @author hornick
 *
 */
public class Invoker {

	/**
	 * constructor
	 */
	public Invoker() {
	}
	
	/**
	 * tells this to execute its Command immediately
	 */
	public boolean invoke( Command cmd ) {
		return cmd.execute();
	}

	/**
	 * tells this to undo the last Command (if possible)
	 */
	public boolean undo() {
		return false;
	}

}
